API referenceOfficial · Market Data
Get lowest listing prices
Returns the lowest listed price for one item or the complete BUFF catalog.
GET
/api/market/itemsReturns the lowest listed price for one item or the complete BUFF catalog.
- Access: Developer or Enterprise API
- Coverage: All items
- Updated: Every 5 minutes when
include_sticker=0; every 10 minutes wheninclude_sticker=1 - Limit: 500 requests per 24 hours
goods_id is optional. Without it, one request returns prices for more than 20,000 items.
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Query Parameters
game*"cs2"
Game identifier.
Value in
- "cs2"
min_price?number
Filter by lowest listing price, optional.
Range
0 <= valuegoods_id?integer
Return only this BUFF goods ID.
market_hash_name?string
Return only this Steam market hash name.
include_sticker?integer
Only takes effect when goods_id is not specified. When include_sticker is 0, the results will not include items with sealed graffiti, stickers or sticker slab, and the data will be more real-time.
Default
1Value in
- 0
- 1
Response Body
application/json
curl -X GET "https://example.com/api/market/items?game=cs2&min_price=10.01&goods_id=43012&market_hash_name=%E2%98%85+Karambit+%7C+Gamma+Doppler+%28Minimal+Wear%29"{ "info": [ { "goods_id": 10001, "market_hash_name": "★ Karambit | Gamma Doppler (Minimal Wear)", "name": "爪子刀(★) | 伽玛多普勒 (略有磨损)", "sales": [ { "min_price": "12449", "pre_sell_min_price": "12500" }, { "min_price": "16250", "pre_sell_min_price": "0", "tag_id": 522195, "tag_name": "Phase2" }, { "min_price": "12449", "pre_sell_min_price": "12500", "tag_id": 3918883, "tag_name": "Phase3" } ], "update_time": 1785812786 } ], "req_remaining": 500, "stat_time": 1785812400}